.product-page__main {
    margin-bottom: @grid-gutter-width*3;
    position: relative;

    .flex-row {
        display: flex;
        flex-wrap: nowrap;
        flex-direction: column;
        margin: 0 -@grid-gutter-width/2;

        @media (min-width: @screen-md-min) {
            flex-direction: row;
        }

        > .col {
            flex-basis: 0;
            flex-grow: 1;
            max-width: 100%;
            width: 100%;
            padding: 0 @grid-gutter-width/2;
        }

        .product-image-col {
            display: flex;
        }
    }

    .product-image-thumbnail-wrapper {
        flex-shrink: 0;
        flex-grow: 0;

        @media (min-width: @screen-md-min) {
            position: sticky;
            top: 15px;
            margin-bottom: auto;
        }
    }

    .product-image-thumbnails {
        &.desktop {
            display: none;

            @media (min-width: @screen-md-min) {
                display: block;
                padding: 0;
                list-style: none;
            }
        }

        &.mobile {
            display: block;
            padding: 0;
            list-style: none;

            @media (min-width: @screen-md-min) {
                display: none;
            }
        }

        li {
            &.active > a::before {
                content: "";
                position: absolute;
                left: 0;
                top: 0;
                bottom: 0;
                right: 0;
                border: 1px solid @border-color;
                z-index: 2;
                background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' preserveAspectRatio='none' viewBox='0 0 100 100'><path stroke='black' stroke-width='2' d='M0 99 L99 0 L100 1 L1 100' fill='none' /></svg>");
            }
        }

        li + li {
            margin-top: @grid-gutter-width/5;
        }

        a {
            display: block;
            border: 1px solid @border-color;
            position: relative;
            padding: 0;
            background: none !important;
        }

        img {
            width: 100%;
            max-width: 43px;
            height: auto;

            @media (min-width: @screen-md-min) {
                max-width: 65px;
            }
        }
    }

    .product-page__image {
        flex-grow: 1;
        flex-shrink: 1;
        overflow: hidden;

        .product-images {
            padding-left: @grid-gutter-width/2;

            @media (min-width: @screen-md-min) {
                padding-right: @grid-gutter-width/2;
            }

            @media (min-width: @screen-lg-min) {
                padding-left: @grid-gutter-width*2;
                padding-right: @grid-gutter-width;
            }

            &__desktop {
                @media (max-width: @screen-sm-max) {
                    display: none;
                }

                .thumbnail {
                    display: block;
                    border: 1px solid @border-color;
                }

                .thumbnail + .thumbnail {
                    margin-top: @grid-gutter-width;
                }

                img {
                    width: 100%;
                    height: auto;
                }
            }

            &__mobile {
                border: 1px solid @border-color;

                @media (min-width: @screen-md-min) {
                    display: none;
                }

                .image {
                    background-position: 50%;
                    background-size: cover;
                    background-repeat: no-repeat;

                    &:before {
                        content: "";
                        display: block;
                        padding-top: 100%;
                    }
                }

                .glide__slides {
                    margin: 0;
                }
            }
        }
    }

    .product-page__details {
        margin-top: @grid-gutter-width;

        @media (min-width: @screen-md-min) {
            position: sticky;
            top: 15px;
            margin-top: 0;
        }

        @media (min-width: @screen-lg-min) {
            padding-left: @grid-gutter-width;
            padding-right: @grid-gutter-width;
        }

        &__base {
            padding-left: @grid-gutter-width*2;

            @media (min-width: @screen-md-min) {
                padding-left: 0;
            }
        }

        .supplier-info {
            margin-bottom: @grid-gutter-width/5;
            font-style: normal;
            font-weight: bold;
            font-size: 18px;
            line-height: 110.5%;
            letter-spacing: -0.03em;
            text-transform: uppercase;
            
            color: #000000;
            text-transform: uppercase;
            font-family: @headings-font-family;
        }

        .product-name-wrapper {
            position: relative;
            display: flex;
            flex-flow: row nowrap;
            justify-content: space-between;
            align-items: flex-start;
        }

        .product-name {
            margin-top: 0;
            margin-bottom: 20px;
            margin-right: @grid-gutter-width;
            text-transform: unset;
            font-weight: 700;
            font-size: 40px;
            font-style: normal;
            line-height: 44.2px;
            letter-spacing: -0.03em;
        }

        .add-to-wishlist-btn {
            padding: 0;
            height: 36px;
            width: 36px;
            display: flex;
            align-items: center;
            justify-content: center;

            svg {
                width: 28px;
                height: 28px;
            }
        }

        .product-short-description {
            margin-bottom: @grid-gutter-width;
        }

        .product-description-content {
            font-size: 22px;
            line-height: 126.3%;
        }

        .product-form-section {
            margin-bottom: @grid-gutter-width;
            label{
                max-width: 100%;
                margin-bottom: 5px;
                font-family: @font-headline;
                font-weight: 800;
                text-transform: uppercase;
                font-size: 18px;
                line-height: .9;
                display: flex;
                align-items: flex-start;
                justify-content: flex-start;
            }
            .dropdown-toggle{
                height: 63px;
                    padding: 10px 16px;
                    font-size: 18px;
                    line-height: 1.3333333;
                    border-radius: 0px;
                    font-family: @font-headline;
                    font-weight: 800;
                    text-transform: uppercase;
                    font-size: 18px;
                    line-height: 1.42857143;
                    border-radius: 0px;
                    border: 1px solid #000;
                    .filter-option{
                        display: flex;
                        justify-content: flex-start;
                        align-items: center;
                    }
            }

            h2 {
                text-transform: unset;
            }
        }

        .product-price-div {
            margin: @grid-gutter-width 0;

            h2 {
                margin: 0;

                .badge {
                    font-weight: bold;
                }
            }
        }
    }

    .product-accordions {
        margin: @grid-gutter-width 0;

        .single-accordion {
            border: 1px solid @border-color;
            margin-top: -1px;
        }

        .collapse-content {
            padding: @grid-gutter-width/2;
        }

        .btn-accordion {
            border: none;
            text-align: left;
            padding: @grid-gutter-width/2 @grid-gutter-width*1.5 @grid-gutter-width/2 @grid-gutter-width/2;
            position: relative;
            height: 63px;

            &.collapsed {
                &::after {
                    display: block;
                }
            }

            &::before,
            &::after {
                content: "";
                background-color: @text-color;
                position: absolute;
                top: 50%;
                right: @grid-gutter-width/2;
            }

            &::before {
                height: 3px;
                width: 15px;
                transform: translateY(-50%);
            }

            &::after {
                display: none;
                width: 3px;
                height: 15px;
                transform: translate(-6px, -50%);
            }
        }

        dl,
        table {
            margin-bottom: 0;
        }
    }

    .product-page-sdg {
        margin-top: @grid-gutter-width*3;
        margin-bottom: @grid-gutter-width;

        &__elements {
            display: flex;
            flex-flow: row wrap;

            &__sdg {
                margin: 0 @grid-gutter-width/2 @grid-gutter-width/2 0;

                &__btn {
                    border: none;
                    padding: 0;

                    &:hover,
                    &:focus {
                        opacity: 0.7;
                    }
                }
            }
        }

        img {
            width: 80px;
            height: auto;
        }
    }
}

.product-page-wrapper {
    .canvas-product-carousel-section {
        margin-bottom: @grid-gutter-width*2;
    }
}


#product-price-section > form > div > div.product-detail-add-btn-container{
    display: flex;
    justify-content: space-between;
    .btn-add-to-cart{
        flex-grow: 1;
    }
    .add-to-wishlist{
        border: 1px solid black;
        height: 63px;
        width: 63px;
        display: flex;
        align-items: center;
        justify-content: center;
        margin-left: 35px;
        img {
            width: 32px !important;
            height: 32px !important;
        }
    }
    .btn-lg{
        height: 63px;
        margin-bottom: 0;
    }
}

